Bug 17203 - glibc-2.1.3-19 breaks Sun and IBM Java 1.3 on SMP
glibc-2.1.3-19 breaks Sun and IBM Java 1.3 on SMP
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-03 10:10 EDT by jhut
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-06 10:50:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jhut 2000-09-03 10:10:23 EDT
Sun version hangs when attempting to execute program.
Sun version:
java version "1.3.0beta_refresh"
Java(TM) 2 Runtime Environment, Standard Edition (build
1.3.0beta_refresh-b09)
Java HotSpot(TM) Client VM (build 1.3.0beta-b07, mixed mode)


IBM version throws this exception:
java.lang.IllegalMonitorStateException: JVMLK008: current thread not owner
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:421)
	at java.lang.UNIXProcess.waitFor(UNIXProcess.java:227)
	at org.apache.tools.ant.taskdefs.Execute.waitFor(Execute.java:292)
	at org.apache.tools.ant.taskdefs.Execute.execute(Execute.java:229)
	at org.apache.tools.ant.taskdefs.Javadoc.execute(Javadoc.java:762)
	at org.apache.tools.ant.Target.execute(Target.java:132)
	at org.apache.tools.ant.Project.runTarget(Project.java:721)
	at org.apache.tools.ant.Project.executeTarget(Project.java:451)
	at org.apache.tools.ant.Project.executeTargets(Project.java:425)
	at org.apache.tools.ant.Main.runBuild(Main.java:298)
	at org.apache.tools.ant.Main.main(Main.java:119)

IBM version:
java version "1.3.0"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.0)
Classic VM (build 1.3.0, J2RE 1.3.0 IBM build cx130-20000623 (JIT enabled:
jitc))
Comment 1 Jakub Jelinek 2000-09-03 14:52:30 EDT
Since you did not tell which exact program you were trying to run
with what arguments, I'll ask a few questions:
can you try on some testbox glibc-2.1.92 from rawhide and see if
it hangs/throws that exception?
If you have the possibility, can you rpm -Uvh glibc-2.1.3-19.src.rpm,
remove the glibc-2.1.3/linuxthreads/pthread.c part from
/usr/src/redhat/SOURCES/glibc-2.1.3-security.patch,
rpm -ba /usr/src/redhat/SPECS/glibc-2.1.spec and see if that makes
the threading problems go away (that is the only thread related change
in the patches which fixes a bug IBM was complaining about)?
Comment 2 jhut 2000-09-03 20:43:38 EDT
I'll attempt to find a box to test on, but in the meantime the following
programs cause the bug to manifest:

- ant - build something like Jakarta Tomcat
- SVGView from IBM Alphaworks
Comment 3 jhut 2000-09-05 09:29:47 EDT
Tried the glibc from ftp://ultra.linux.cz/private/glibc/6.x/*2.1.3-20*.rpm,
still locks up.
Comment 4 Jakub Jelinek 2000-09-05 11:20:40 EDT
Ok, can you please try ftp://ultra.linux.cz/private/glibc/6.x/*2.1.3-21*.rpm,
hopefully final?
Comment 5 jhut 2000-09-05 11:55:22 EDT
OK, Works for me now on IBM and Sun JDK's.
Comment 6 thomas porter 2000-09-05 23:02:17 EDT
Running RH 6.1 w/ extensive upgrades on am IBM Thinkpad 600X, NON-SMP,  have Sun
JDK1.2.2 and 1.3 installed.  After security upgrade to glibc-2.1.3-19, all
threaded javba applications either hard loop at 98% CPU util or throw exceptions
dealing with thread ownership.  Apps that will abend: Bluej Java tutorial IDE,
Apps that will loop: ArgoUML and TogetherJ whiteboard edition.

Tom Porter, txporter@mindspring.com
Comment 7 h0e 2000-09-06 10:50:40 EDT
This has fawked mozilla too, won't even start under -19. all better in -21.
if anyone's interested, I think mozilla guys will track this at
http://bugzilla.mozilla.org/show_bug.cgi?id=51482
Comment 8 Jakub Jelinek 2000-09-08 03:42:33 EDT
Should be fixed by RHSA-2000:057-04

Note You need to log in before you can comment on or make changes to this bug.